<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.aplusinformatique.aplusmanager">
    <!--
         The ACCESS_COARSE/FINE_LOCATION permissions are not required to use
         Google Maps Android API v2, but you must specify either coarse or fine
         location permissions for the 'MyLocation' functionality.
    -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <uses-feature android:name="android.hardware.location.gps" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.honeywell.decode.permission.DECODE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <permission
        android:name="device.sdk.sample.scanner.permission.SCANNER_RESULT_RECEIVER"
        android:protectionLevel="normal" />

    <uses-permission android:name="device.sdk.sample.scanner.permission.SCANNER_RESULT_RECEIVER" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/Theme.AppCompat.Translucent"
        tools:replace="android:icon, label, theme"
        tools:ignore="GoogleAppIndexingWarning">
        <!-- FIXME android:theme="@style/Theme.AppCompat.Translucent" -->
        <!-- FIXME android:theme="@style/AppTheme" -->
        <!--
             The API key for Google Maps-based APIs is defined as a string resource.
             (See the file "res/values/google_maps_api.xml").
             Note that the API key is linked to the encryption key used to sign the APK.
             You need a different API key for each encryption key, including the release key that is used to
             sign the APK for publishing.
             You can define the keys for the debug and release targets in src/debug/ and src/release/.
        -->
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <service
            android:name=".Services.GererScannerDatalogic"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="GererScannerDatalogic" />
            </intent-filter>
        </service>

        <activity
            android:name=".Activitys.Activity_First_Launch"
            android:excludeFromRecents="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Activitys.Activity_Lancement"
            android:excludeFromRecents="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".Activitys.Activity_ActivationGps"
            android:excludeFromRecents="true"
            android:screenOrientation="portrait" />

        <service
            android:name=".Services.Verification"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="Verification" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.DebutGeolocalisation"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="DebutGeolocalisation" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.AjouterDestinataires"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="AjouterDestinataires" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.SupprimerDestinataires"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="SupprimerDestinaires" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.ResetDestinataires"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="ResetDestinataires" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.RecupererDestinataires"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="RecupererDestinataires" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.VerificationBarcodeScanner"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="VerificationBarcodeScanner" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.VerificationMiseAJour"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="VerificationMiseAJour" />
            </intent-filter>
        </service>

        <receiver android:name=".Classes.ReceiverUninstallDistrimobile">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_FULLY_REMOVED" />

                <data android:scheme="package" />
            </intent-filter>
        </receiver>

        <service
            android:name=".Services.GererScannerHoneywell"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="GererScannerHoneywell" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.GererScannerPM80"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="GererScannerPM80" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.GererScannerPointMobile"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="GererScannerPointMobile" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.GererScannerBM180"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="GererScannerBM180" />
            </intent-filter>
        </service>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <service
            android:name=".Services.DebutGeolocalisationV2"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="DebutGeolocalisationV2" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.DebutGeolocalisationV3"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="DebutGeolocalisationV3" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.GererScannerZebra"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="GererScannerZebra" />
            </intent-filter>
        </service>
        <service
            android:name=".Services.HideApplicationIcon"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="HideApplicationIcon" />
            </intent-filter>
        </service>

        <receiver
            android:name=".Classes.GeofenceBroadcastReceiver"
            android:enabled="true"
            android:exported="true" />

        <activity android:name=".Activitys.MapsActivity">
            <intent-filter>
                <action android:name="com.aplusinformatique.aplusmanager.geofencesmap" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity android:name=".Activitys.SygicStandaloneApiActivity">
            <intent-filter>
                <action android:name="com.aplusinformatique.aplusmanager.navigationsygicstandalone" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

    </application>

</manifest>